## mk-configure 0.24.0

=== Makefile ===
.sinclude "cheusov_local_settings.mk" # for debugging

##################################################

MKFILESDIR?=		${PREFIX}/share/mkc-mk
EXTRAFILESDIR?=		${PREFIX}/share/doc/mk-configure
BUILTINSDIR?=		${PREFIX}/share/mk-configure/custom

BMAKE?=			bmake

.if exists(/usr/xpg4/bin/awk)
# Solaris' /usr/bin/awk is completely broken,
# /usr/xpg4/bin/awk sucks too but sucks less.
AWK?=/usr/xpg4/bin/awk
.elif exists(/usr/bin/awk)
AWK?=/usr/bin/awk
.else
AWK?=/bin/awk
.endif

##################################################
.PATH:			${.CURDIR}

SHRTOUT=		yes

PROJECTNAME=		mk-configure

VERSION=		0.24.0

BIRTHDATE=		2009-02-21

MKCHECKS=		no

SCRIPTS=		mkc_check_funclib mkc_check_header \
			mkc_check_sizeof  mkc_check_decl \
			mkc_check_prog mkc_check_custom \
			mkc_which mkc_check_version \
			mkc_test_helper mkc_check_compiler \
			mkc_install mkcmake

SCRIPTS+=		${:!cd ${.CURDIR} && echo custom/*!:N*/CVS}

MAN=			mkc_check_funclib.1 mkc_check_header.1 \
			mkc_check_sizeof.1  mkc_check_decl.1 \
			mkc_check_prog.1 mkc_check_custom.1 \
			mk-configure.7 mkcmake.1

EXTRAFILES?=		README NEWS TODO COPYRIGHT FAQ

FILES=	sys.mk configure.mk mkc.configure.mk mkc.mk \
	mkc.own.mk mkc_imp.intexts.mk \
	mkc_check_common.sh \
	mkc.minitest.mk mkc_imp.pkg-config.mk mkc_imp.vars.mk \
	mkc_imp.files.mk mkc_imp.inc.mk mkc_imp.info.mk mkc_imp.lib.mk \
	mkc_imp.links.mk mkc_imp.man.mk mkc_imp.own.mk mkc_imp.prog.mk \
	mkc_imp.subdir.mk mkc_imp.subprj.mk mkc_imp.sys.mk \
	mkc_imp.init.mk mkc_imp.final.mk mkc_imp.scripts.mk \
	mkc_imp.platform.sys.mk mkc_imp.dep.mk mkc_imp.lua.mk \
	mkc_imp.arch.mk mkc_imp.pod.mk mkc_imp.preinit.mk \
	mkc_imp.objdir.mk

FILES+=			${EXTRAFILES}

.for i in ${EXTRAFILES}
FILESDIR_${i}=		${EXTRAFILESDIR}
.endfor

FILESDIR_mkc_check_common.sh=	${BINDIR}

FILESDIR=			${MKFILESDIR}

.for s in ${SCRIPTS:Mcustom/*}
SCRIPTSDIR_${s:S|/|_|}=		${BUILTINSDIR}
.endfor

SYMLINKS=	mkc.subprj.mk ${MKFILESDIR}/mkc.subprjs.mk
SYMLINKS+=	mkc_imp.pkg-config.mk ${MKFILESDIR}/mkc.pkg-config.mk
SYMLINKS+=	mkc_imp.intexts.mk ${MKFILESDIR}/mkc.intexts.mk

CLEANFILES+=		configure.mk *.cat1 *.html1 ChangeLog

INFILES+=		configure.mk mkc_imp.vars.mk mk-configure.7
INSCRIPTS+=		mkc_check_version mkcmake
INTEXTS_REPLS+=		version        ${VERSION}
INTEXTS_REPLS+=		AWK            ${AWK}
INTEXTS_REPLS+=		BMAKE          ${BMAKE}
INTEXTS_REPLS+=		mkfilesdir     ${MKFILESDIR}
INTEXTS_REPLS+=		syscustomdir   ${BUILTINSDIR}
INTEXTS_REPLS+=		mkc_libexecdir ${LIBEXECDIR}

DIST_TARGETS=		doc mkc_clean

INSTALL=		${.CURDIR}/mkc_install

##################################################
.PHONY: doc
doc: all
doc:
	cd doc && ${MAKE} -m ${.OBJDIR} presentation.pdf clean-garbage ${MAKEFLAGS}

.for i in mkc.prog.mk mkc.lib.mk mkc.subdir.mk mkc.subprj.mk mkc.files.mk
SYMLINKS+=	mkc.mk ${MKFILESDIR}/${i}
CLEANFILES+=	${i}
all: ${i}
${i}:
	ln -f -s ${.CURDIR}/mkc.mk ${i}
.endfor

##################################################

.PHONY: test
test: configure.mk mkc_imp.vars.mk mkc_check_version
	@set -e; \
	PATH=${.CURDIR}:${.OBJDIR}:$$PATH; \
	BUILTINSDIR=${.CURDIR}/custom; \
	MKCATPAGES=yes; \
	NO_AUTODEP=yes; \
	export PATH BUILTINSDIR MKCATPAGES NO_AUTODEP; \
	unset MAKEOBJDIR MAKEOBJDIRPREFIX || true; \
	cd ${.CURDIR}/tests; \
	${MAKE} -m ${.CURDIR} -m ${.OBJDIR} -m ${MKFILESDIR} ${MAKEFLAGS} test

.PHONY: cleandir_tests clean_tests

cleandir: cleandir_tests
cleandir_tests: configure.mk
	PATH=${.CURDIR}:$$PATH; \
	export PATH; \
	for d in ${.CURDIR}/tests ${.CURDIR}/doc; do \
	   cd $$d; \
	   ${MAKE} -m ${.CURDIR} -m ${.OBJDIR} -m ${MKFILESDIR} \
		${MAKEFLAGS} cleandir; \
	done
clean: clean_tests
clean_tests: configure.mk
	PATH=${.CURDIR}:$$PATH; \
	export PATH; \
	for d in ${.CURDIR}/tests ${.CURDIR}/doc; do \
	   cd $$d; \
	   ${MAKE} -m ${.CURDIR} -m ${.OBJDIR} -m ${MKFILESDIR} \
		${MAKEFLAGS} clean; \
	done

##################################################
.include <mkc.mk>

=== doc/Makefile ===
##################################################

all : presentation.pdf myprojects.pdf

.PHONY : pdf dvi rtf
pdf : presentation.pdf
ps  : presentation.ps
dvi : presentation.dvi

.SUFFIXES: .ps .eps .pdf .dvi .tex .dot

presentation.ps presentation.pdf presentation.dvi: my_prjs.eps dep_graph.eps

.ps.pdf:
	ps2pdf "$<" "$@"

#.tex.pdf:
#	pdflatex "$<" && pdflatex "$<"

.dot.eps:
	dot -Tps ${.IMPSRC} > ${.TARGET}

.dvi.ps:
	dvips $<

.tex.dvi:
	latex "${.IMPSRC}" && latex "${.IMPSRC}"

.gz:
	gzip ${.IMPSRC}

GARBAGE=	*.dvi *.aux *.vrb *.toc *.snm *.log *.nav *.out *.eps *.ps
CLEANFILES+=	${GARBAGE} *.pdf *.ps myprojects.tex

.PHONY: clean-garbage
clean-garbage:
	rm -f ${GARBAGE}

##################################################
myprojects.tex : presentation.tex
	awk '/^%%%begin-myprojects/, /^%%%end-myprojects/' \
		${.ALLSRC} > ${.TARGET}
myprojects.ps myprojects.pdf myprojects.dvi: my_prjs.eps

.include <mkc.files.mk>

=== examples/Makefile ===
# for regression tests
NOEXPORT_VARNAMES =	MKC_CACHEDIR

_THISDIR_         =
.export _THISDIR_

# examples
SUBDIR+=	hello_world
SUBDIR+=	hello_scripts
SUBDIR+=	hello_files
SUBDIR+=	hello_sizeof
SUBDIR+=	hello_lex
SUBDIR+=	hello_yacc
SUBDIR+=	hello_calc2
SUBDIR+=	subprojects
SUBDIR+=	hello_compilers
SUBDIR+=	hello_plugins
SUBDIR+=	hello_plugins2
SUBDIR+=	hello_glib2
SUBDIR+=	hello_subdirs
SUBDIR+=	hello_strlcpy
SUBDIR+=	hello_customtests
SUBDIR+=	hello_customtests2
SUBDIR+=	hello_requirements
SUBDIR+=	hello_cxx
SUBDIR+=	hello_cxxlib
SUBDIR+=	hello_dictd
SUBDIR+=	hello_lua
SUBDIR+=	hello_lua2
SUBDIR+=	hello_lua3
SUBDIR+=	hello_superfs
SUBDIR+=	hello_xxzip
SUBDIR+=	hello_progs
SUBDIR+=	hello_progs2
SUBDIR+=	tools

.ifdef WITH_require_tools
SUBDIR+=	hello_require_tools
.endif

.include <mkc.mk>

=== tests/Makefile ===
NOEXPORT_VARNAMES=	MKC_CACHEDIR

SUBDIR	+=	configure_test
SUBDIR  +=	../examples
SUBDIR  +=	mkshlib
SUBDIR  +=	mkstaticlib
SUBDIR  +=	mkpiclib
SUBDIR  +=	mkprofilelib
SUBDIR  +=	mkdll
SUBDIR  +=	pkg_config_0
SUBDIR  +=	pkg_config_1
SUBDIR  +=	pkg_config_2
SUBDIR  +=	lua_dirs
SUBDIR  +=	rec_makefiles
SUBDIR  +=	reqd
SUBDIR  +=	reqd2
SUBDIR  +=	reqd3

.include <mkc.mk>

=== examples/hello_calc2/Makefile ===
PROG =		calc

SRCS =		lex.l parser.y

YHEADER =	1
YPREFIX =	calc_
LPREFIX =	calc_

MKC_CHECK_BUILTINS =	prog_bison prog_flex

YACC   =	${BUILTIN.prog_bison} -y
LEX    =	${BUILTIN.prog_flex}
LEXLIB =	-lfl

lex.o: parser.h

.include <mkc.configure.mk>

.if empty(BUILTIN.prog_flex)
MKC_ERR_MSG += "Cannot find flex, good bye!"
.endif

.if empty(BUILTIN.prog_bison)
MKC_ERR_MSG += "Cannot find bison, good bye!"
.endif

LDADD +=	-lm

.include "test.mk"
.include <mkc.prog.mk>

=== examples/hello_customtests2/Makefile ===
PROG =			hello_customtests2

WARNS =			4

MKC_CUSTOM_DIR =	${.CURDIR}/../hello_customtests/custom_tests

MKC_CHECK_CUSTOM =	alloca_in_stdlib_h
MKC_CHECK_CUSTOM +=	alloca_in_alloca_h

MKC_REQD =		0.11.0

.include "test.mk"
.include <mkc.prog.mk>

=== examples/hello_lex/Makefile ===
PROG =		hello_lex
SRCS =		hello_lex.l

.include "test.mk"
.include <mkc.prog.mk>

=== examples/hello_lua/Makefile ===
PROJECTNAME =	hello_lua

LUA_LMODULES =	foo.lua bar.lua
LUA_CMODULE  =	baz

SCRIPTS =	foobar

.include "test.mk"
.include <mkc.lib.mk>

=== examples/hello_require_tools/Makefile ===
MKC_REQUIRE_BUILTINS +=	prog_gawk prog_flex prog_gm4 prog_bison

SCRIPTS = fake

test: error-check
	@echo ${CUSTOM.prog_gawk}
	@echo ${CUSTOM.prog_gm4}
	@echo ${CUSTOM.prog_flex}
	@echo ${CUSTOM.prog_bison}

.include <mkc.prog.mk>

=== examples/hello_strlcpy/Makefile ===
MKC_SOURCE_FUNCLIBS =	strlcpy
MKC_CHECK_FUNCS3 +=	strlcpy:string.h

PROG =			hello4
SRCS =			hello.c

WARNS =			4

MKC_REQD =	0.10.0

.include "test.mk"
.include <mkc.prog.mk>

=== examples/hello_superfs/Makefile ===
SUBPRJ =	mkfs_superfs       fsck_superfs \
		docs \
		mkfs_superfs:tools fsck_superfs:tools

SUBPRJ_DFLT =	mkfs_superfs fsck_superfs docs

# "tools" is a virtual subproject, there is no subdirectory for it

.include "test.mk"
.include <mkc.subprj.mk>

=== examples/hello_yacc/Makefile ===
PROG =	hello_calc

SRCS =	calc.y

.include "test.mk"
.include <mkc.prog.mk>

=== debian/changelog ===
mk-configure (0.24.0-3) unstable; urgency=low

  * Fix the clean-up of MKC_SOURCE_FUNCLIBS.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 15 Nov 2013 17:39:37 +0100

mk-configure (0.24.0-2) unstable; urgency=low

  * Fix the Debhelper addon.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 15 Nov 2013 15:44:39 +0100

mk-configure (0.24.0-1) unstable; urgency=low

  * Initial release.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 15 Aug 2013 01:02:03 +0200

=== debian/control ===
Source: mk-configure
Section: devel
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9), bmake
Standards-Version: 3.9.4

Package: mk-configure
Architecture: all
Depends: bmake, ${misc:Depends}
Description: lightweight replacement for GNU autotools
 mk-configure is a lightweight easy-to-use replacement for GNU autotools,
 written in bmake (portable version of NetBSD make) and POSIX tools (shell,
 awk etc).

## mk-configure 0.25.0

=== Makefile ===
.MAIN: all
.DEFAULT:
	${MAKE} ${MAKEFLAGS} -m ${.CURDIR}/mk -f main.mk ${.TARGET}

=== custom/Makefile ===
SCRIPTS    =	endianess prog_bison prog_flex prog_gawk prog_gm4

SCRIPTSDIR =	${BUILTINSDIR}

.include <mkc.mk>

=== doc/Makefile ===
FILES    =	../README NEWS TODO LICENSE FAQ
FILESDIR =	${DOCDIR}

.include <mkc.mk>

=== examples/Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 SUBDIR+=	hello_progs
 SUBDIR+=	hello_progs2
 SUBDIR+=	tools
+SUBDIR+=	tools2
 
 .ifdef WITH_require_tools
 SUBDIR+=	hello_require_tools

=== helpers/Makefile ===
SCRIPTS = mkc_test_helper

.include <mkc.mk>

=== mk/Makefile ===
FILES =	sys.mk mkc.configure.mk configure.mk mkc.mk \
	mkc.init.mk mkc_imp.intexts.mk mkc_imp.mk \
	mkc.minitest.mk mkc_imp.pkg-config.mk \
	mkc_imp.files.mk mkc_imp.inc.mk mkc_imp.info.mk mkc_imp.lib.mk \
	mkc_imp.links.mk mkc_imp.man.mk mkc_imp.prog.mk \
	mkc_imp.subprj.mk \
	mkc_imp.final.mk mkc_imp.scripts.mk \
	mkc_imp.platform.sys.mk mkc_imp.dep.mk mkc_imp.lua.mk \
	mkc_imp.arch.mk mkc_imp.pod.mk mkc_imp.preinit.mk \
	mkc.prog.mk mkc.files.mk mkc.lib.mk mkc.subdir.mk mkc.subprj.mk \
	mkc_imp.objdir.mk mkc_imp.obj.mk ${INFILES}

FILESDIR =			${MKFILESDIR}

INFILES +=	mkc_imp.vars.mk

#################################################
.for i in prog_mkdep prog_nbmkdep
MKC_CHECK_CUSTOM   +=	${i}
MKC_CUSTOM_FN.${i}  =	${.CURDIR}/../custom/${i}
.endfor

MKC_CHECK_PROGS    +=	makedepend

.include <mkc.configure.mk>

.if ${HAVE_PROG.makedepend:U0}
makedepend_cmd =	${PROG.makedepend}
mkdep_cmd  =		mkdep
mkdep_type =		makedepend
.elif !empty(CUSTOM.prog_nbmkdep)
mkdep_cmd  =		${CUSTOM.prog_nbmkdep}
mkdep_type =		nbmkdep
.elif !empty(CUSTOM.prog_mkdep)
mkdep_cmd  =		${CUSTOM.prog_mkdep}
mkdep_type =		mkdep
.else
MKC_ERR_MSG +=		"mkdep(1) cannot be found"
.endif

makedepend_cmd ?=	makedepend

INTEXTS_REPLS +=	mkdep_cmd      ${mkdep_cmd}
INTEXTS_REPLS +=	makedepend_cmd ${makedepend_cmd}
INTEXTS_REPLS +=	mkdep_type     ${mkdep_type}

#################################################
.include <mkc.mk>

=== scripts/Makefile ===
FILES    =	mkc_check_common.sh
INFILES  =	mk-configure.7
FILESDIR =	${BINDIR}

SCRIPTS  =	mkc_check_funclib mkc_check_header \
		mkc_check_sizeof  mkc_check_decl \
		mkc_check_prog mkc_check_custom \
		mkc_which mkc_check_compiler \
		mkc_install ${INSCRIPTS}
INSCRIPTS +=	mkc_check_version mkcmake

MAN =		mkc_check_funclib.1 mkc_check_header.1 \
		mkc_check_sizeof.1  mkc_check_decl.1 \
		mkc_check_prog.1 mkc_check_custom.1 \
		mk-configure.7 mkcmake.1

SYMLINKS   =	mkc.subprj.mk ${MKFILESDIR}/mkc.subprjs.mk
SYMLINKS  +=	mkc_imp.pkg-config.mk ${MKFILESDIR}/mkc.pkg-config.mk
SYMLINKS  +=	mkc_imp.intexts.mk ${MKFILESDIR}/mkc.intexts.mk

.include <mkc.mk>

=== tests/Makefile ===
--- 
+++ 
@@ -1,6 +1,12 @@
-NOEXPORT_VARNAMES=	MKC_CACHEDIR
+SHRTOUT           =	no
+NOEXPORT_VARNAMES =	MKC_CACHEDIR
+EXPORT_VARNAMES   =	SHRTOUT
 
-SUBDIR	+=	configure_test
+BUILTINSDIR       =	${OBJDIR_custom}
+.export BUILTINSDIR
+
+SUBDIR  +=	configure_test
+SUBDIR  +=	mkinstall
 SUBDIR  +=	../examples
 SUBDIR  +=	mkshlib
 SUBDIR  +=	mkstaticlib
@@ -15,5 +21,13 @@
 SUBDIR  +=	reqd
 SUBDIR  +=	reqd2
 SUBDIR  +=	reqd3
+SUBDIR  +=	reqd4
+SUBDIR  +=	reqd_clean_cache
+SUBDIR  +=	intexts_cleantrg
+SUBDIR  +=	test_subprj_dash
+SUBDIR  +=	test_mkc_vs_PROG
+SUBDIR  +=	test_mkc_vs_LIB
+SUBDIR  +=	test_mkc_vs_SUBDIR
+SUBDIR  +=	test_mkc_vs_SUBPRJ
 
 .include <mkc.mk>

=== examples/hello_calc2/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 PROG =		calc
+SRCS =		lex.l parser.y
 
-SRCS =		lex.l parser.y
+DPSRCS  =	lex.c parser.c parser.h
 
 YHEADER =	1
 YPREFIX =	calc_

=== examples/hello_customtests/Makefile ===
PROG =			hello_customtests

WARNS =			4

MKC_CHECK_CUSTOM  =	alloca_in_stdlib_h # C lang check
MKC_CHECK_CUSTOM +=	alloca_in_alloca_h # C lang check
MKC_CHECK_CUSTOM +=	cxx_with_templates # C++ lang check
MKC_CHECK_CUSTOM +=	true_is_available  # script-based check
MKC_CHECK_CUSTOM +=	shtest             # script-based check

MKC_CUSTOM_FN.alloca_in_stdlib_h = custom_tests/alloca_in_stdlib_h.c
MKC_CUSTOM_FN.alloca_in_alloca_h = custom_tests/alloca_in_alloca_h.c
MKC_CUSTOM_FN.cxx_with_templates = custom_tests/cxx_with_templates.cc
MKC_CUSTOM_FN.true_is_available  = custom_tests/true_is_available
MKC_CUSTOM_FN.shtest             = custom_tests/shtest

MKC_CHECK_BUILTINS +=		endianess

MKC_REQD =		0.12.0

.include <mkc.configure.mk>

BUILTIN.endianess ?=
.if ${BUILTIN.endianess} != little && ${BUILTIN.endianess} != big
MKC_ERR_MSG =	"Do you run PDP-11?"
.endif

.include "test.mk"
.include <mkc.prog.mk>

=== examples/hello_customtests2/Makefile ===
PROG =			hello_customtests2

WARNS =			4

MKC_CUSTOM_DIR =	${.CURDIR}/../hello_customtests/custom_tests

MKC_CHECK_CUSTOM =	alloca_in_stdlib_h alloca_in_alloca_h \
			true_is_available

# full path is for regression test
MKC_CUSTOM_FN.true_is_available =	${MKC_CUSTOM_DIR}/true_is_available

MKC_REQD =		0.11.0

.include "test.mk"
.include <mkc.prog.mk>

=== examples/hello_cxx/Makefile ===
PROG =		hello_cxx

WARNS =		4

CPPFLAGS +=	-I.

SRCS =		hello_msg.cc main.cc

MKC_REQD =	0.12.9

.include "test.mk"
.include <mkc.prog.mk>

=== debian/changelog ===
mk-configure (0.25.0-1) unstable; urgency=low

  * New upstream release.
  * Drop old patches.
  * Use bmake's .ALLTARGETS feature to check for Makefile targets presence.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 05 Jan 2014 22:42:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Andrew Shadura <andrewsh@debian.org>
-Build-Depends: debhelper (>= 9), bmake
+Build-Depends: debhelper (>= 9), bmake (>= 20131001)
 Standards-Version: 3.9.4
 
 Package: mk-configure

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX := /usr
export SYSCONFDIR := /etc
export MANDIR := $(PREFIX)/share/man
export MKFILESDIR := $(PREFIX)/share/mk-configure/mk

%:
	dh $@ --buildsystem=bmake

override_dh_auto_test:

.PHONY: override_dh_auto_test

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.*\/(.*)$/mk-configure-$1/ https://github.com/cheusov/mk-configure/tags /cheusov/mk-configure/archive/mk-configure-(\d.*).tar.gz

## mk-configure 0.26.0

=== Makefile ===
.MAIN: all
.DEFAULT:
	@unset ROOT_GROUP; ${MAKE} ${MAKEFLAGS} -m ${.CURDIR}/mk -m ${.CURDIR}/features -f main.mk ${.TARGET}

=== custom/Makefile ===
SCRIPTS    =	endianness prog_bison prog_flex prog_gawk prog_gm4

SCRIPTSDIR =	${BUILTINSDIR}

.include <mkc.mk>

=== mk/Makefile ===
--- 
+++ 
@@ -3,14 +3,14 @@
 	mkc.minitest.mk mkc_imp.pkg-config.mk \
 	mkc_imp.files.mk mkc_imp.inc.mk mkc_imp.info.mk mkc_imp.lib.mk \
 	mkc_imp.links.mk mkc_imp.man.mk mkc_imp.prog.mk \
-	mkc_imp.subprj.mk \
-	mkc_imp.final.mk mkc_imp.scripts.mk \
+	mkc_imp.subprj.mk mkc_imp.conf-final.mk mkc_imp.rules.mk \
+	mkc_imp.final.mk mkc_imp.scripts.mk mkc_imp.checkprogs.mk \
 	mkc_imp.platform.sys.mk mkc_imp.dep.mk mkc_imp.lua.mk \
 	mkc_imp.arch.mk mkc_imp.pod.mk mkc_imp.preinit.mk \
 	mkc.prog.mk mkc.files.mk mkc.lib.mk mkc.subdir.mk mkc.subprj.mk \
 	mkc_imp.objdir.mk mkc_imp.obj.mk ${INFILES}
 
-FILESDIR =			${MKFILESDIR}
+FILESDIR =	${MKFILESDIR}
 
 INFILES +=	mkc_imp.vars.mk
 
@@ -43,6 +43,7 @@
 INTEXTS_REPLS +=	mkdep_cmd      ${mkdep_cmd}
 INTEXTS_REPLS +=	makedepend_cmd ${makedepend_cmd}
 INTEXTS_REPLS +=	mkdep_type     ${mkdep_type}
+INTEXTS_REPLS +=	featuresdir    ${FEATURESDIR}
 
 #################################################
 .include <mkc.mk>

=== examples/hello_calc2/Makefile ===
PROG =		calc
SRCS =		lex.l parser.y

DPSRCS  =	lex.c parser.c parser.h

YHEADER =	1
YPREFIX =	calc_
LPREFIX =	calc_

MKC_CHECK_BUILTINS =	prog_bison prog_flex

MKC_FEATURES +=	libm

lex.o: parser.h

.include <mkc.configure.mk>

YACC   =	${"${BUILTIN.prog_bison}" != "":?${BUILTIN.prog_bison} -y:}
LEX    =	${BUILTIN.prog_flex}
LEXLIB =	-lfl

.if empty(BUILTIN.prog_flex)
MKC_ERR_MSG += "Cannot find flex, good bye!"
.endif

.if empty(BUILTIN.prog_bison)
MKC_ERR_MSG += "Cannot find bison, good bye!"
.endif

.include "test.mk"
.include <mkc.prog.mk>

=== examples/hello_strlcpy3/Makefile ===
PROG  =			hello
SRCS  =			hello.c

WARNS =			4

MKC_FEATURES  =	strlcpy strlcat getline

MKC_REQD =		0.26.0

.include "test.mk"
.include <mkc.prog.mk>

=== examples/tools2/Makefile ===
SUBPRJ  = libs/foo:tools/prog1
SUBPRJ += libs/bar:tools/prog2
SUBPRJ += libs/foo:tools/prog3 libs/bar:tools/prog3
SUBPRJ += libs/qux:tools/prog4

SUBPRJ += tools/prog1:tests/prog1
SUBPRJ += tools/prog2:tests/prog2
SUBPRJ += tools/prog3:tests/prog3
SUBPRJ += tools/prog4:tests/prog4

NODEPS +=	check-*/*:check-*/* \
		all-tests/*:all \
		check-libs/*:check check-tools/*:check

# target "check" is used for testing because "test" is used by mk-configure
TARGETS =	check

SHORTPRJNAME =	no

# for regression test only
MKC_CACHEDIR =	${.OBJDIR}
_THISDIR_ =
.export _THISDIR_

.include "test.mk"
.include <mkc.subprj.mk>

=== tests/sys_queue/Makefile ===
PROG  =			hello
SRCS  =			hello.c

WARNS =			4

MKC_FEATURES  =	CIRCLEQ LIST SIMPLEQ SLIST STAILQ TAILQ

MKC_REQD =		0.26.0

test: all
.include <mkc.prog.mk>

=== tests/test_subprj_dash/Makefile ===
CLEANFILES   +=		${.OBJDIR}/${.CURDIR:T}.test.out

test:
	@echo 'Testing ${.CURDIR}... ' 1>&2; \
	set -e; \
	tmp_out=${.OBJDIR}/${.CURDIR:T}.test.out; \
	rm -f $$tmp_out; \
	${MAKE} ${MAKEFLAGS} -f ${.CURDIR}/test.mk all 2>&1 | \
	sed 's,bmake\[[0-9]*\],bmake,' | \
	mkc_test_helper "${PREFIX}" "${.OBJDIR}" > $$tmp_out; \
	diff ${.CURDIR}/expect.out $$tmp_out && \
	echo '      succeeded' 1>&2 || \
	{ echo '      FAILED' 1>&2; false; }

.include <mkc.subprj.mk>

=== debian/changelog ===
mk-configure (0.26.0-2) unstable; urgency=low

  * Fix pkg-config checks (Closes: #741837).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 16 Mar 2014 15:29:25 +0100

mk-configure (0.26.0-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.
  * Ship presentation.pdf.
  * Recommend pkg-config.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 18 Feb 2014 22:05:01 +0100

## mk-configure 0.28.0

=== builtins/Makefile ===
SCRIPTS    =	endianness prog_bison prog_flex prog_gawk prog_gm4 prog_gmake

SCRIPTSDIR =	${BUILTINSDIR}

.include <mkc.mk>

=== examples/hello_errwarn/Makefile ===
PROG  =			hello

WARNS =			4

MKC_FEATURES  =		err warn

MKC_REQD =		0.26.0

.include "test.mk"
.include <mkc.mk>

=== examples/hello_libdeps/libs/libbaz/Makefile ===
LIB  =		bazbaz # LIB name is not equal to ${.CURDIR:T}!
SRCS =		baz.c
INCS =		baz.h
INCSSRCDIR =	include

CPPFLAGS +=	${INCSSRCDIR}

WARNS =		4

.include <mkc.mk>

=== debian/changelog ===
mk-configure (0.28.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop an old patch and a custom sys.mk.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 14 Sep 2014 17:41:43 +0200

mk-configure (0.27.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 22 Aug 2014 19:10:20 +0200

## mk-configure 0.29.0

=== features/Makefile ===
.for f in strlcat strlcpy getline
FILES +=	mkc_${f}.h mkc_imp.f_${f}.mk ${f}/${f}.c
FILESDIR_mkc_imp.f_${f}.mk =	${MKFILESDIR}
FILESDIR_mkc_${f}.h        =	${FEATURESDIR}
FILESDIR_${f}/${f}.c       =	${FEATURESDIR}/${f}
.endfor

.for f in libm libdl SLIST RB
FILES +=	mkc_${f}.h mkc_imp.f_${f}.mk
FILESDIR_mkc_imp.f_${f}.mk =	${MKFILESDIR}
FILESDIR_mkc_${f}.h        =	${FEATURESDIR}
.endfor

.for f in netbsd_sys_queue.h netbsd_sys_tree.h
FILES         +=	${f}
FILESDIR_${f}  =	${FEATURESDIR}
.endfor

LINKS += ${MKFILESDIR}/mkc_imp.f_RB.mk ${MKFILESDIR}/mkc_imp.f_SPLAY.mk

LINKS += ${FEATURESDIR}/mkc_RB.h ${FEATURESDIR}/mkc_SPLAY.h

.for i in SIMPLEQ STAILQ LIST TAILQ CIRCLEQ
LINKS += ${MKFILESDIR}/mkc_imp.f_SLIST.mk ${MKFILESDIR}/mkc_imp.f_${i}.mk
LINKS += ${FEATURESDIR}/mkc_SLIST.h ${FEATURESDIR}/mkc_${i}.h

# the following section is for tests/sys_queue regression test
all: mkc_imp.f_${i}.mk mkc_${i}.h
mkc_imp.f_${i}.mk: mkc_imp.f_SLIST.mk
	cp mkc_imp.f_SLIST.mk ${.TARGET}
mkc_${i}.h: mkc_SLIST.h
	cp mkc_SLIST.h ${.TARGET}
CLEANFILES +=	mkc_${i}.h mkc_imp.f_${i}.mk
.endfor

#
.include <mkc.files.mk>

=== tests/pkg_config_1/Makefile ===
LIB=			mkc_fake

PKG_CONFIG_DEPS=	mkc_fake-2.0>=2.10

.include "test.mk"
.include <mkc.lib.mk>

=== examples/hello_compatlib/prog1/Makefile ===
PROG  =			prog1

WARNS =			4

MKC_REQD =		0.27.0

.include <mkc.prog.mk>

=== debian/changelog ===
mk-configure (0.29.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 25 Jul 2015 14:53:26 +0200

## mk-configure 0.29.1

=== Makefile ===
# Copyright (c) 2014 by Aleksey Cheusov
#
# See LICENSE file in the distribution.
############################################################

.MAIN: all
.DEFAULT:
	@unset ROOT_GROUP; ${MAKE} ${MAKEFLAGS} -m ${.CURDIR}/mk -m ${.CURDIR}/features -f main.mk ${.TARGET}

=== doc/Makefile ===
FILES    =	../README NEWS TODO LICENSE FAQ NOTES
FILESDIR =	${DOCDIR}

.include <mkc.mk>

=== features/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.for f in strlcat strlcpy getline
+.for f in strlcat strlcpy getline progname warn err fgetln
 FILES +=	mkc_${f}.h mkc_imp.f_${f}.mk ${f}/${f}.c
 FILESDIR_mkc_imp.f_${f}.mk =	${MKFILESDIR}
 FILESDIR_mkc_${f}.h        =	${FEATURESDIR}
@@ -11,7 +11,7 @@
 FILESDIR_mkc_${f}.h        =	${FEATURESDIR}
 .endfor
 
-.for f in netbsd_sys_queue.h netbsd_sys_tree.h
+.for f in netbsd_sys_queue.h netbsd_sys_tree.h _mkcfake.c
 FILES         +=	${f}
 FILESDIR_${f}  =	${FEATURESDIR}
 .endfor

=== mk/Makefile ===
FILES =	sys.mk mkc.configure.mk mkc_imp.conf.mk mkc_imp.conf-cleanup.mk \
	mkc.mk mkc.init.mk mkc_imp.intexts.mk mkc_imp.mk \
	mkc.minitest.mk mkc_imp.pkg-config.mk mkc_imp.dpvars.mk \
	mkc_imp.files.mk mkc_imp.inc.mk mkc_imp.info.mk mkc_imp.lib.mk \
	mkc_imp.links.mk mkc_imp.man.mk mkc_imp.prog.mk \
	mkc_imp.subprj.mk mkc_imp.conf-final.mk mkc_imp.rules.mk \
	mkc_imp.final.mk mkc_imp.scripts.mk mkc_imp.checkprogs.mk \
	mkc_imp.platform.sys.mk mkc_imp.dep.mk mkc_imp.lua.mk \
	mkc_imp.arch.mk mkc_imp.pod.mk mkc_imp.preinit.mk \
	mkc.prog.mk mkc.files.mk mkc.lib.mk mkc.subdir.mk mkc.subprj.mk \
	mkc_imp.objdir.mk mkc_imp.obj.mk ${INFILES}

FILESDIR =	${MKFILESDIR}

INFILES +=	mkc_imp.vars.mk

#################################################
.for i in prog_mkdep prog_nbmkdep
MKC_CHECK_CUSTOM   +=	${i}
MKC_CUSTOM_FN.${i}  =	${.CURDIR}/../builtins/${i}
.endfor

MKC_CHECK_PROGS    +=	makedepend

.include <mkc.configure.mk>

.if !empty(CUSTOM.prog_nbmkdep)
mkdep_cmd  =		${CUSTOM.prog_nbmkdep}
mkdep_type =		nbmkdep
.elif !empty(CUSTOM.prog_mkdep)
mkdep_cmd  =		${CUSTOM.prog_mkdep}
mkdep_type =		mkdep
.elif ${HAVE_PROG.makedepend:U0}
makedepend_cmd =	${PROG.makedepend}
mkdep_cmd  =		mkdep
mkdep_type =		makedepend
.else
MKC_ERR_MSG +=		"mkdep(1) cannot be found"
.endif

.if exists(/usr/xpg4/bin/nm)
PROG.nm ?=              /usr/xpg4/bin/nm
.else
MKC_REQUIRE_PROGS +=    nm
.endif

makedepend_cmd ?=	makedepend

INTEXTS_REPLS +=	mkdep_cmd      ${mkdep_cmd}
INTEXTS_REPLS +=	makedepend_cmd ${makedepend_cmd}
INTEXTS_REPLS +=	mkdep_type     ${mkdep_type}
INTEXTS_REPLS +=	featuresdir    ${FEATURESDIR}
INTEXTS_REPLS +=	NM             ${PROG.nm}

#################################################
.include <mkc.mk>

=== presentation/Makefile ===
############################################################

MKC_REQUIRE_PROGS =	${PS2PDF} ${DOT} ${DVIPS} ${LATEX}

############################################################

all : presentation.pdf myprojects.pdf

.PHONY : pdf dvi rtf
pdf : presentation.pdf
ps  : presentation.ps
dvi : presentation.dvi

.SUFFIXES: .ps .eps .pdf .dvi .tex .dot

presentation.ps presentation.pdf presentation.dvi: my_prjs.eps dep_graph.eps

.ps.pdf:
	${PROG.${PS2PDF}} "$<" "$@"

#.tex.pdf:
#	pdflatex "$<" && pdflatex "$<"

.dot.eps:
	${PROG.${DOT}} -Tps ${.IMPSRC} > ${.TARGET}

.dvi.ps:
	${PROG.${DVIPS}} $<

.tex.dvi:
	${PROG.${LATEX}} "${.IMPSRC}" && ${PROG.${LATEX}} "${.IMPSRC}"

.gz:
	gzip ${.IMPSRC}

GARBAGE=	*.dvi *.aux *.vrb *.toc *.snm *.log *.nav *.out *.eps *.ps
CLEANFILES+=	${GARBAGE} *.pdf *.ps myprojects.tex

.PHONY: clean-garbage
clean-garbage:
	rm -f ${GARBAGE}

##################################################
myprojects.tex : presentation.tex
	awk '/^%%%begin-myprojects/, /^%%%end-myprojects/' \
		${.ALLSRC} > ${.TARGET}
myprojects.ps myprojects.pdf myprojects.dvi: my_prjs.eps

.include <mkc.mk>

=== scripts/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 		mkc_check_prog mkc_check_custom \
 		mkc_which mkc_check_compiler \
 		mkc_install ${INSCRIPTS}
-INSCRIPTS +=	mkc_check_version mkcmake
+INSCRIPTS +=	mkc_check_version mkcmake mkc_get_deps
 
 MAN =		mkc_check_funclib.1 mkc_check_header.1 \
 		mkc_check_sizeof.1  mkc_check_decl.1 \

=== examples/hello_RBTREE/Makefile ===
PROG  =		hello_RBTREE

WARNS =		4

MKC_FEATURES  =	RB

MKC_REQD =	0.26.0

.include "test.mk"
.include <mkc.prog.mk>

=== examples/hello_cxx/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 CPPFLAGS +=	-I.
 
-SRCS =		hello_msg.cc main.cc
+SRCS =		main.cc hello_msg.cc five.c seven.c
 
 MKC_REQD =	0.12.9

=== examples/hello_cxxlib/Makefile ===
PROJECTNAME =	hello_cxx

SUBDIR +=	cxxlib
SUBDIR +=	.WAIT
SUBDIR +=	cxxapp

.include "test.mk"
.include <mkc.subdir.mk>

=== examples/hello_fgetln/Makefile ===
MKC_FEATURES =	fgetln err

PROG  =		hello

WARNS =		4

MKC_REQD =	0.26.0

.include "test.mk"
.include <mkc.prog.mk>

=== examples/hello_files/Makefile ===
STRANGEDIR1 ?=		${PREFIX}/share/files1
STRANGEDIR2 ?=		${PREFIX}/share/files2
STRANGEDIR3 ?=		${PREFIX}/share/files3

FILES =			shell_func1 shell_func2 shell_func3

FILESDIR =		${BINDIR}
FILESDIR_shell_func3 =	${LIBEXECDIR}

LINKS =			${BINDIR}/shell_func1 ${STRANGEDIR1}/shell_func1.sh
LINKS +=		${BINDIR}/shell_func2 ${STRANGEDIR2}/shell_func2.sh

SYMLINKS =		${LIBEXECDIR}/shell_func3 ${STRANGEDIR3}/shell_func3.sh

MAN =			shell_func.7
TEXINFO =		shell_func.texinfo # for .info file

# The following line is for regression test only.
# We will not create and update dir file
INSTALL_INFO =		:

# The following lines are for regression test only.
# We will build .html from man page only under NetBSD
OPSYS !=		uname -s
.if ${OPSYS} != "NetBSD"
MKHTML =		no
.endif

MKC_REQD =		0.11.0

.include "test.mk"
.include <mkc.files.mk>

=== examples/hello_glib2/Makefile ===
PROG =			hello_glib2

PKG_CONFIG_DEPS =	glib-2.0>=2.1

CFLAGS +=		-DG_DISABLE_DEPRECATED=1
CFLAGS +=		-DG_DISABLE_SINGLE_INCLUDES

MKC_REQD =		0.11.0

.include "test.mk"
.include <mkc.prog.mk>

=== debian/changelog ===
mk-configure (0.29.1-3) unstable; urgency=medium

  [ Dima Kogan ]
  * Split .dot into two separate files (Closes: #895320).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 13 Apr 2019 17:37:58 +0200

mk-configure (0.29.1-2) unstable; urgency=medium

  * Add Homepage field.
  * Update the build dependency, since texlive-latex-recommended no
    longer provides latex-beamer (Closes: #867095).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 11 Jul 2017 11:53:01 -0500

mk-configure (0.29.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 12 Nov 2015 19:25:52 +0100

=== debian/control ===
Source: mk-configure
Section: devel
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9), bmake (>= 20131001),
 graphviz, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, ghostscript
Standards-Version: 3.9.5
Homepage: https://sourceforge.net/projects/mk-configure/

Package: mk-configure
Architecture: all
Depends: bmake, ${misc:Depends}
Recommends: pkgconf | pkg-config
Description: lightweight replacement for GNU autotools
 mk-configure is a lightweight easy-to-use replacement for GNU autotools,
 written in bmake (portable version of NetBSD make) and POSIX tools (shell,
 awk etc).

## mk-configure 0.33.0

=== Makefile ===
# Copyright (c) 2014-2019 by Aleksey Cheusov
#
# See LICENSE file in the distribution.
############################################################

.include "Makefile.inc"

.export CHECK_COMMON_SH_DIR=${.CURDIR}/scripts

.MAIN: all
.DEFAULT:
	@CHECK_COMMON_SH_DIR=${.CURDIR}/scripts; export CHECK_COMMON_SH_DIR; \
	unset ROOT_GROUP; ${MAKE} ${MAKEFLAGS} -m ${.CURDIR}/mk -m ${.CURDIR}/features -f main.mk ${.TARGET}

=== builtins/Makefile ===
SCRIPTS    =	endianness prog_bison prog_flex prog_gawk prog_gm4 prog_gmake
SCRIPTSDIR =	${BUILTINSDIR}

FILES      =	easy.c
FILESDIR   =	${SCRIPTSDIR}

.include <mkc.mk>

=== features/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.for f in strlcat strlcpy getline progname warn err fgetln
+.for f in strlcat strlcpy getline progname warn err fgetln getdelim strndup
 FILES +=	mkc_${f}.h mkc_imp.f_${f}.mk ${f}/${f}.c
 FILESDIR_mkc_imp.f_${f}.mk =	${MKFILESDIR}
 FILESDIR_mkc_${f}.h        =	${FEATURESDIR}

=== helpers/Makefile ===
SCRIPTS   =	mkc_test_helper ${INSCRIPTS}
INSCRIPTS =	mkc_long_lines

.include <mkc.mk>

=== mk/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-FILES =	sys.mk mkc.configure.mk mkc_imp.conf.mk mkc_imp.conf-cleanup.mk \
+FILES =	sys.mk mkc.configure.mk mkc.conf.mk mkc_imp.conf-cleanup.mk \
 	mkc.mk mkc.init.mk mkc_imp.intexts.mk mkc_imp.mk \
 	mkc.minitest.mk mkc_imp.pkg-config.mk mkc_imp.dpvars.mk \
 	mkc_imp.files.mk mkc_imp.inc.mk mkc_imp.info.mk mkc_imp.lib.mk \

=== scripts/Makefile ===
--- 
+++ 
@@ -1,13 +1,15 @@
 FILES    =	mkc_check_common.sh
+FILESDIR_mkc_check_common.sh =	${MKC_LIBEXECDIR}
+
 INFILES  =	mk-configure.7
-FILESDIR =	${BINDIR}
 
-SCRIPTS  =	mkc_check_funclib mkc_check_header \
+INSCRIPTS  =	mkc_check_funclib mkc_check_header \
 		mkc_check_sizeof  mkc_check_decl \
 		mkc_check_prog mkc_check_custom \
 		mkc_which mkc_check_compiler \
-		mkc_install ${INSCRIPTS}
-INSCRIPTS +=	mkc_check_version mkcmake mkc_get_deps
+		mkc_install \
+		mkc_check_version mkcmake mkc_get_deps
+SCRIPTS =	${INSCRIPTS}
 
 MAN =		mkc_check_funclib.1 mkc_check_header.1 \
 		mkc_check_sizeof.1  mkc_check_decl.1 \

=== examples/fts/Makefile ===
PROG =	fts

MKC_REQUIRE_HEADERS +=	sys/types.h,sys/stat.h,fts.h

.include <mkc.mk>

=== examples/hello_RBTREE/Makefile ===
--- 
+++ 
@@ -6,5 +6,9 @@
 
 MKC_REQD =	0.26.0
 
+.include <mkc.init.mk>
+
+CFLAGS.warns.sunpro.${WARNS} +=	-erroff=E_EMPTY_DECLARATION
+
 .include "test.mk"
 .include <mkc.prog.mk>

=== examples/hello_autoconf/Makefile ===
FOREIGN =		autotools
FSRCDIR =		proj

AT_USE_AUTOMAKE =	no
AT_MAKE         =	${BUILTIN.prog_gmake}

MKC_CHECK_BUILTINS =	prog_gmake
MKCHECKS           =	yes # we need path to gmake for target "clean"

# The following line is for regression tests.
# In real life we don't need this.
all: mkgen

.include "test.mk"
.include <mkc.mk>

=== examples/hello_autotools/Makefile ===
FOREIGN = autotools
FSRCDIR = proj

DISTCLEANFILES += ${.CURDIR}/${FSRCDIR}/hello_autotools-config.h.in


# the following is for regression tests. In real life we don't need this.
all: mkgen

.include "test.mk"
.include <mkc.mk>

=== examples/hello_calc2/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 YACC   =	${"${BUILTIN.prog_bison}" != "":?${BUILTIN.prog_bison} -y:}
 LEX    =	${BUILTIN.prog_flex}
-LEXLIB =	-lfl
+LEXLIB =	#-lfl
 
 .if empty(BUILTIN.prog_flex)
 MKC_ERR_MSG += "Cannot find flex, good bye!"

=== examples/hello_lua3/Makefile ===
PROJECTNAME =	hello_lua3

LUA_MODULES =	socket.foo socket.bar
LUA_CMODULE  =	socket.baz

.include "test.mk"
.include <mkc.mk>

=== debian/changelog ===
mk-configure (0.33.0-2) unstable; urgency=medium

  * Add a basic autopkgtest.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 21 Jan 2020 15:29:11 +0100

mk-configure (0.33.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to also fetch tarballs directly from Git.
  * Drop no longer necessary patch, update README file name.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Add Vcs-* field.
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Update debian/copyright.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 20 Jan 2020 13:51:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Andrew Shadura <andrewsh@debian.org>
-Build-Depends: debhelper (>= 9), bmake (>= 20131001),
+Build-Depends: debhelper-compat (= 12), bmake (>= 20131001),
  graphviz, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, ghostscript
 Standards-Version: 3.9.5
 Homepage: https://sourceforge.net/projects/mk-configure/
+Vcs-Browser: https://salsa.debian.org/debian/mk-configure
+Vcs-Git: https://salsa.debian.org/debian/mk-configure.git
 
 Package: mk-configure
 Architecture: all
@@ -15,4 +17,3 @@
  mk-configure is a lightweight easy-to-use replacement for GNU autotools,
  written in bmake (portable version of NetBSD make) and POSIX tools (shell,
  awk etc).
-

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,14 @@
 %:
 	dh $@ --buildsystem=bmake
 
+override_dh_auto_clean:
+	-dh_auto_clean
+	bmake cleandir-presentation
+
+override_dh_auto_build:
+	dh_auto_build
+	bmake pdf
+
 override_dh_auto_test:
 
 .PHONY: override_dh_auto_test

=== debian/tests/control ===
Tests: basic-test
Depends: @, build-essential
Restrictions: allow-stderr

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4

http://mova.org/~cheusov/pub/mk-configure/mk-configure-(\d.*).tar.gz

opts="mode=git, pgpmode=none, repack, compression=xz" \
 https://github.com/cheusov/mk-configure \
 refs/tags/mk-configure-([\d\.]+)

## mk-configure 0.35.0

=== features/Makefile ===
FILES                      +=	mkc_imp.f_libl.mk
FILESDIR_mkc_imp.f_libl.mk  =	${MKFILESDIR}

FILES                     +=	mkc_externc.h
FILESDIR_mkc_externc.h     =	${FEATURESDIR}

.for f in strlcat strlcpy getline progname warn err fgetln getdelim strndup \
    dprintf efun strsep errc posix_getopt raise_default_signal \
    reallocarray fparseln vis
FILES +=	mkc_${f}.h mkc_imp.f_${f}.mk ${f}/${f}.c
FILESDIR_mkc_imp.f_${f}.mk =	${MKFILESDIR}
FILESDIR_mkc_${f}.h        =	${FEATURESDIR}
FILESDIR_${f}/${f}.c       =	${FEATURESDIR}/${f}
.endfor

FILES +=	errc/verrc.c
FILESDIR_errc/verrc.c       =	${FEATURESDIR}/errc

FILES +=	vis/unvis.c
FILESDIR_vis/unvis.c       =	${FEATURESDIR}/vis

.for f in libm libdl SLIST RB bswap fts arc4random
FILES +=	mkc_${f}.h mkc_imp.f_${f}.mk
FILESDIR_mkc_imp.f_${f}.mk =	${MKFILESDIR}
FILESDIR_mkc_${f}.h        =	${FEATURESDIR}
.endfor

.for f in netbsd_sys_queue.h netbsd_sys_tree.h _mkcfake.c
FILES         +=	${f}
FILESDIR_${f}  =	${FEATURESDIR}
.endfor

.for i in SPLAY
LINKS += ${MKFILESDIR}/mkc_imp.f_RB.mk ${MKFILESDIR}/mkc_imp.f_${i}.mk
LINKS += ${FEATURESDIR}/mkc_RB.h ${FEATURESDIR}/mkc_${i}.h

do_all: mkc_imp.f_${i}.mk mkc_${i}.h
mkc_imp.f_${i}.mk: mkc_imp.f_RB.mk
	cp mkc_imp.f_RB.mk ${.TARGET}
mkc_${i}.h: mkc_RB.h
	cp mkc_RB.h ${.TARGET}
CLEANFILES +=	mkc_${i}.h mkc_imp.f_${i}.mk
.endfor

.for i in SIMPLEQ STAILQ LIST TAILQ CIRCLEQ
LINKS += ${MKFILESDIR}/mkc_imp.f_SLIST.mk ${MKFILESDIR}/mkc_imp.f_${i}.mk
LINKS += ${FEATURESDIR}/mkc_SLIST.h ${FEATURESDIR}/mkc_${i}.h

# the following section is for tests/sys_queue regression test
do_all: mkc_imp.f_${i}.mk mkc_${i}.h
mkc_imp.f_${i}.mk: mkc_imp.f_SLIST.mk
	cp mkc_imp.f_SLIST.mk ${.TARGET}
mkc_${i}.h: mkc_SLIST.h
	cp mkc_SLIST.h ${.TARGET}
CLEANFILES +=	mkc_${i}.h mkc_imp.f_${i}.mk
.endfor

#
.include <mkc.files.mk>

=== mk/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-FILES =	sys.mk mkc.configure.mk mkc.conf.mk mkc_imp.conf-cleanup.mk \
+FILES =	mkc.configure.mk mkc.conf.mk mkc_imp.conf-cleanup.mk \
 	mkc.mk mkc.init.mk mkc_imp.intexts.mk mkc_imp.mk \
 	mkc.minitest.mk mkc_imp.pkg-config.mk mkc_imp.dpvars.mk \
 	mkc_imp.files.mk mkc_imp.inc.mk mkc_imp.info.mk mkc_imp.lib.mk \
@@ -8,11 +8,34 @@
 	mkc_imp.platform.sys.mk mkc_imp.dep.mk mkc_imp.lua.mk \
 	mkc_imp.arch.mk mkc_imp.pod.mk mkc_imp.preinit.mk \
 	mkc.prog.mk mkc.files.mk mkc.lib.mk mkc.subdir.mk mkc.subprj.mk \
-	mkc_imp.objdir.mk mkc_imp.obj.mk ${INFILES}
+	mkc_imp.objdir.mk mkc_imp.obj.mk mkc_imp.help.mk \
+	mkc_imp.compiler_settings.mk mkc.compiler_settings.mk \
+	mkc_imp.compiler_type.mk mkc_imp.foreign_autotools.mk ${INFILES}
 
 FILESDIR =	${MKFILESDIR}
 
-INFILES +=	mkc_imp.vars.mk
+INFILES +=	newsys.mk
+
+FILESNAME_newsys.mk =	sys.mk
+
+CLEANFILES +=	mkc_imp.cc_*.mk mkc_imp.cxx_*.mk
+
+#################################################
+# the following three variables are necessary for detecting CC_TYPE and CXX_TYPE
+#src_type              =	cc cxx
+
+.include <mkc.init.mk>
+
+MKC_NOCACHE=1
+
+.include "mkc_imp.compiler_settings.mk"
+
+post_install:
+	for f in ${.OBJDIR}/mkc_imp.cc_*.mk ${.OBJDIR}/mkc_imp.cxx_*.mk; do \
+	    test -f "$$f" && \
+		${INSTALL} -o ${FILESOWN} -g ${FILESGRP} -m ${FILESMODE} \
+		${INSTALL_FLAGS} $$f ${DESTDIR}${MKFILESDIR}; \
+	done
 
 #################################################
 .for i in prog_mkdep prog_nbmkdep
@@ -38,10 +61,38 @@
 MKC_ERR_MSG +=		"mkdep(1) cannot be found"
 .endif
 
-.if exists(/usr/xpg4/bin/nm)
-PROG.nm ?=              /usr/xpg4/bin/nm
+.if empty(USE_NM) || ${USE_NM} == "auto"
+.  if exists(/usr/xpg4/bin/nm)
+PROG.nm ?=		/usr/xpg4/bin/nm
+.  else
+MKC_REQUIRE_PROGS +=	nm
+.  endif
 .else
-MKC_REQUIRE_PROGS +=    nm
+PROG.nm  =		${USE_NM}
+.endif
+
+.if empty(USE_ID) || ${USE_ID} == "auto"
+.  if exists(/usr/xpg4/bin/id)
+PROG.id ?=              /usr/xpg4/bin/id
+.  else
+MKC_REQUIRE_PROGS +=    id
+.  endif
+.else
+PROG.id  =		${USE_ID}
+.endif
+
+.if empty(USE_INSTALL) || ${USE_INSTALL} == "auto"
+install.NetBSD    =	/usr/bin/install
+install.OpenBSD   =	/usr/bin/install
+install.FreeBSD   =	/usr/bin/install
+install.DragonFly =	/usr/bin/install
+install.MirBSD    =	/usr/bin/install
+install.Haiku     =	/bin/install
+install  ?=		${INSTALL.${TARGET_OPSYS}:Umkc_install}
+.elif ${USE_INSTALL} == "mkc_install"
+install           =	mkc_install
+.else
+install           =	${USE_INSTALL}
 .endif
 
 makedepend_cmd ?=	makedepend
@@ -51,6 +102,8 @@
 INTEXTS_REPLS +=	mkdep_type     ${mkdep_type}
 INTEXTS_REPLS +=	featuresdir    ${FEATURESDIR}
 INTEXTS_REPLS +=	NM             ${PROG.nm}
+INTEXTS_REPLS +=	ID             ${PROG.id}
+INTEXTS_REPLS +=	install        ${install}
 
 #################################################
 .include <mkc.mk>

## mk-configure 0.35.really.0.33.0

=== examples/hello_errwarn/Makefile ===
--- 
+++ 
@@ -6,5 +6,6 @@
 
 MKC_REQD =		0.26.0
 
+.include "Makefile.inc"
 .include "test.mk"
 .include <mkc.mk>

=== examples/hello_lua/Makefile ===
PROJECTNAME =	hello_lua

LUA_LMODULES =	foo.lua bar.lua
LUA_CMODULE  =	baz

INSCRIPTS =	foobar
SCRIPTS   =	${INSCRIPTS}

INTEXTS_REPLS   =	LUA ${PROG.lua}
MKC_REQUIRE_PROGS =	lua

.include "test.mk"
.include <mkc.lib.mk>

=== examples/hello_progs/Makefile ===
PROGS =		client server
SRCS.client =	client.c client_puts.c
SRCS.server =	server.c server_puts.c

WARNS =		4

.include "test.mk"
.include <mkc.prog.mk>

=== debian/changelog ===
mk-configure (0.35.really.0.33.0-1) unstable; urgency=medium

  * Revert to mk-configure 0.33.0 (Closes: #977908, #978271, #978387).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 28 Dec 2020 20:05:56 +0100

mk-configure (0.35.0-1) unstable; urgency=medium

  * New upstream release.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 02 Dec 2020 15:37:12 +0100

mk-configure (0.33.0-3) unstable; urgency=medium

  * Wrap and sort control files.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.
  * Run tests but don’t fail.
  * Expand .PHONY.
  * Let dh_strip strip debug info for us.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 01 Mar 2020 15:35:14 +0100

## mk-configure 0.36.0

=== features/Makefile ===
--- 
+++ 
@@ -4,20 +4,20 @@
 FILES                     +=	mkc_externc.h
 FILESDIR_mkc_externc.h     =	${FEATURESDIR}
 
-.for f in strlcat strlcpy getline progname warn err fgetln getdelim strndup \
-    dprintf efun strsep errc posix_getopt raise_default_signal \
-    reallocarray fparseln vis
-FILES +=	mkc_${f}.h mkc_imp.f_${f}.mk ${f}/${f}.c
+.for f in dprintf efun err errc fgetln fparseln getdelim getline \
+    humanize_number posix_getopt progname pwdgrp raise_default_signal \
+    reallocarray strlcat strlcpy strndup strsep vis warn shquote
+FILES +=	mkc_${f}.h mkc_imp.f_${f}.mk ${f}/mkc_${f}.c
 FILESDIR_mkc_imp.f_${f}.mk =	${MKFILESDIR}
 FILESDIR_mkc_${f}.h        =	${FEATURESDIR}
-FILESDIR_${f}/${f}.c       =	${FEATURESDIR}/${f}
+FILESDIR_${f}/mkc_${f}.c   =	${FEATURESDIR}/${f}
 .endfor
 
-FILES +=	errc/verrc.c
-FILESDIR_errc/verrc.c       =	${FEATURESDIR}/errc
+FILES +=	errc/mkc_verrc.c
+FILESDIR_errc/mkc_verrc.c  =	${FEATURESDIR}/errc
 
-FILES +=	vis/unvis.c
-FILESDIR_vis/unvis.c       =	${FEATURESDIR}/vis
+FILES +=	vis/mkc_unvis.c
+FILESDIR_vis/mkc_unvis.c   =	${FEATURESDIR}/vis
 
 .for f in libm libdl SLIST RB bswap fts arc4random
 FILES +=	mkc_${f}.h mkc_imp.f_${f}.mk

=== mk/Makefile ===
--- 
+++ 
@@ -10,7 +10,12 @@
 	mkc.prog.mk mkc.files.mk mkc.lib.mk mkc.subdir.mk mkc.subprj.mk \
 	mkc_imp.objdir.mk mkc_imp.obj.mk mkc_imp.help.mk \
 	mkc_imp.compiler_settings.mk mkc.compiler_settings.mk \
-	mkc_imp.compiler_type.mk mkc_imp.foreign_autotools.mk ${INFILES}
+	mkc_imp.compiler_type.mk mkc_imp.foreign_autotools.mk ${INFILES} \
+	mkc_imp.conf_header_files.mk mkc_imp.conf_headers.mk \
+	mkc_imp.conf_funclibs.mk mkc_imp.conf_sizeof.mk \
+	mkc_imp.conf_defines.mk mkc_imp.conf_types.mk mkc_imp.conf_vars.mk \
+	mkc_imp.conf_members.mk mkc_imp.conf_funcs.mk mkc_imp.conf_custom.mk \
+	mkc_imp.conf_progs.mk mkc_imp.conf_prototypes.mk mkc_imp.conf_opts.mk
 
 FILESDIR =	${MKFILESDIR}

=== examples/compatlib/Makefile ===
LIBDEPS   =	libcmpt:prog1 libcmpt:prog2
COMPATLIB =	libcmpt

.include "test.mk"
.include <mkc.subprj.mk>

=== examples/dprintf/Makefile ===
PROG =			prog
SRCS =			prog.c

WARNS =			4

MKC_FEATURES +=		dprintf

MKC_REQD =		0.34.99

.include "test.mk"
.include <mkc.prog.mk>

=== examples/efun/Makefile ===
PROG =			prog
SRCS =			prog.c

WARNS =			4

MKC_FEATURES +=		efun

MKC_REQD =		0.34.99

.include "test.mk"
.include <mkc.prog.mk>

=== examples/fts/Makefile ===
PROG =			prog
SRCS =			prog.c

WARNS =			4

MKC_FEATURES +=		fts

MKC_REQD =		0.34.99

.include "test.mk"
.include <mkc.prog.mk>

=== examples/helpers/Makefile ===
SCRIPTS     =	mkc_test_helper mkc_fake_strip mkc_long_lines \
   mkc_test_helper mkc_test_helper2 mkc_test_helper_paths \
   mkc_test_nm ${INSCRIPTS}
INSCRIPTS   =	mkc_long_lines

SCRIPTSDIR  =	${MKC_LIBEXECDIR}

.include "../../Makefile.inc"
.include <mkc.mk>

=== examples/progs2/Makefile ===
PROGS =		client server
SRCS.client =	client.c
SRCS.server =	server.c
SRCS =		common.c

WARNS =		4

.include "test.mk"
.include <mkc.prog.mk>

=== examples/require_tools/Makefile ===
MKC_REQUIRE_BUILTINS +=	prog_gawk prog_flex prog_gm4 prog_bison prog_gmake

SCRIPTS = fake

test: errorcheck
	@echo GNU awk: ${CUSTOM.prog_gawk}; \
	echo GNU m4: ${CUSTOM.prog_gm4}; \
	echo GNU make: ${CUSTOM.prog_gmake}; \
	echo flex: ${CUSTOM.prog_flex}; \
	echo bison: ${CUSTOM.prog_bison}; \
	: =========== cleandir ============; \
	${MAKE} ${MAKEFLAGS} cleandir > /dev/null

.include <mkc.prog.mk>

=== examples/subprojects/Makefile ===
# main code
LIBDEPS = 	libhello1:hello libhello2:hello

MKC_REQD =	0.30.900

# for regression test only
_THISDIR_ =
.export _THISDIR_

.include "test.mk"
.include "version.mk"
.include <mkc.mk>

=== tests/cc_type_custom_check2/Makefile ===
MKC_CHECK_CUSTOM =	alloca_in_alloca_h

.include "test.mk"
.include <mkc.mk>

=== tests/cc_type_custom_check3/Makefile ===
MKC_CHECK_CUSTOM =	check

MKC_CUSTOM_FN.check = script

.include "test.mk"
.include <mkc.mk>

=== debian/changelog ===
mk-configure (0.36.0-1) unstable; urgency=medium

  * New upstream release.
  * Port exists_make_target fixes from bmake.pm and makefile.pm.
  * Create a home directory and set MKCOMPILERSETTINGS=yes for mkc 0.36+.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 31 Jan 2021 18:25:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,5 +17,6 @@
 	bmake pdf
 
 override_dh_auto_test:
+	-bmake test
 
-.PHONY: override_dh_auto_test
+.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_test

=== debian/tests/control ===
Tests: basic-test
Depends:
 build-essential,
 @
Restrictions: allow-stderr

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4

https://mova.org/~cheusov/pub/mk-configure/mk-configure-(\d.*).tar.gz

opts="mode=git, pgpmode=none, repack, compression=xz" \
 https://github.com/cheusov/mk-configure \
 refs/tags/mk-configure-([\d\.]+)
